DATE(1)

NAZWA
date - wyświetla lub ustawia datę i czas systemowy

SKŁADNIA
date [OPCJA]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

OPIS

Wyświetla aktualny czas w podanym FORMACIE lub ustawia datę systemową.

-d, --date=ŁAŃCUCH
    wyświetla czas podany w ŁAŃCUCHU, nie aktualny

-f, --file=PLIK_DAT
    jak --date dla każdej linii PLIKU_DAT

-ICZAS, --iso-8601[=CZAS]
    wyświetla czas w formacie zgodnym z ISO-8601, jeśli CZAS=`date' (data) - wyświetla tylko datę, jeśli `hours' (godziny), `minutes' (minuty) lub `seconds' (sekundy) - datę oraz czas z żądaną precyzją. Brak parametru CZAS oznacza to samo co `date'.

-r, --reference=PLIK
    wyświetla czas ostatniej modyfikacji PLIKU

-R, --rfc-2822
    wyświetla datę w formacie zgodnym z RFC-2822

-s, --set=ŁAŃCUCH
    ustawia czas na opisany w ŁAŃCUCHU

-u, --utc, --universal
    wyświetla lub ustawia czas uniwersalny (Coordinated Universal Time).

--help
    wyświetlenie tego opisu i zakończenie

--version
    wyświetlenie informacji o wersji i zakończenie

FORMAT określa wyjście. Jako druga opcja może się pojawiać jedynie opcja wskazująca na użycie czasu uniwersalnego. Rozpoznawane sekwencje:

%%  literalny znak procenta %

%a  lokalny skrót nazwy dnia tygodnia (pon...nie)

%A  lokalna pełna nazwa dnia tygodnia (poniedziałek...niedziela)

%b  lokalny skrót nazwy miesiąca (sty...gru)

%B  lokalna pełna nazwa miesiąca (styczeń...grudzień)

%c  lokalna data i czas (pon sty 04 12:02:33 CET 1989)

%C  stulecie (rok podzielony przez 100 i obcięty do liczby całkowitej) [00-99]

%d  dzień miesiąca (01..31)

%D  data (mm/dd/rr)

%e  dzień miesiąca uzupełniony spacjami ( 1...31)

%F  to samo co %Y-%m-%d

%g  2-cyfrowy rok odpowiadający numerowi tygodnia %V

%G  4-cyfrowy rok odpowiadający numerowi tygodnia %V

%h  to samo co %b

%H  godzina (00...23)

%I  godzina (01...12)

%j  dzień roku (001...366)

%k  godzina ( 0...23)

%l  godzina ( 1...12)

%m  miesiąc (01...12)

%M  minuta (00...59)

%n  znak nowej linii

%N  nanosekundy (000000000..999999999)

%p  lokalny odpowiednik AM lub PM (w wielu lokalizacjach pusty)

%P  lokalny odpowiednik am lub pm (w wielu lokalizacjach pusty)

%r  czas w formacie 12-godzinnym (gg:mm:ss [AP]M)

%R  czas w formacie 24-godzinnym (gg:mm)

%s  liczba sekund od 00:00:00, 1 stycznia 1970 (rozszerzenie GNU)

%S  sekunda (00...60); 60 oznacza sekundę przestępną

%t  tabulator poziomy

%T  czas w formacie 24-godzinnym (gg:mm:ss)

%u  dzień tygodnia (1..7); 1 to poniedziałek

%U  numer tygodnia w roku, niedziela zaczyna tydzień (00...53)

%V  numer tygodnia w roku, poniedziałek zaczyna tydzień (01...53)

%w  numer dnia tygodnia (0...6), 0 oznacza niedzielę

%W  numer tygodnia w roku, poniedziałek zaczyna tydzień (00...53)

%x  lokalna reprezentacja daty (rrrr.mm.dd)

%X  lokalna reprezentacja czasu (%H:%M:%S)

%y  dwie ostatnie cyfry roku (00...99)

%Y  rok (1970...)

%z  strefa czasowa w postaci numerycznej w stylu RFC-2822 (np. -0500) (niestandardowe rozszerzenie).

%Z  strefa czasowa (np. EDT) lub nic, jeżeli nie można określić strefy czasowej

Domyślnie date wypełnia pola numeryczne zerami. GNU date rozpoznaje następujące niestandardowe modyfikatory, umieszczane pomiędzy `%' a dyrektywą numeryczną:

    `-' (łącznik) nie wypełniaj pola
    `_' (podkreślenie) wypełniaj pole spacjami

AUTOR
Napisany przez David MacKenzie.

ZGŁASZANIE BŁĘDÓW
Raporty o błędach wysyłaj do <bug-coreutils@gnu.org>.

PRAWA AUTORSKIE
Copyright © 2003 Free Software Foundation, Inc. Ten program jest darmowy; warunki kopiowania są opisane w źródłach. Autorzy nie dają ŻADNYCH gwarancji, w tym również gwarancji PRZYDATNOŚCI DO SPRZEDAŻY LUB DO KONKRETNYCH CELÓW.

ZOBACZ TAKŻE
Pełna dokumentacja programu date jest utrzymywana w postaci podręcznika Textinfo. Jeżeli programy info i date są poprawnie zainstalowane, to

    info date

powinno wyświetlić kompletny podręcznik